[-]
[+]
|
Changed |
OBS-Appliance.kiwi
|
@@ -24,7 +24,12 @@
<users group="obsrun" id="150">
<user name="obsrun" home="/var/lib/empty" shell="/bin/false" id="150" pwd="*" pwdformat="plain" />
</users>
-
+ <repository type="rpm-md">
+ <source path="obs://server:monitoring/SLE_11_SP2"/>
+ </repository>
+ <repository type="rpm-md">
+ <source path="obs://home:netmax:tools/SLE_11_SP2"/>
+ </repository>
<repository type="rpm-md">
<source path="obs://J0KE.NET:Tools/SLE_11"/>
</repository>
@@ -92,6 +97,18 @@
<package name="atftp"/>
<package name="fribidi"/>
<package name="nfs-client"/>
+ <package name="inventory-system"/>
+ <package name="munin-node"/>
+ <package name="nagios-plugins"/>
+ <package name="nagios-nrpe"/>
+ <package name="nagios-plugins-disks"/>
+ <package name="nagios-plugins-cciss"/>
+ <package name="nagios-plugins-lsi"/>
+ <package name="nagios-plugins-3ware"/>
+ <package name="nagios-plugins-raid"/>
+ <package name="nagios-plugins-zypper"/>
+ <package name="sudo"/>
+ <package name="xinetd"/>
</packages>
<packages type="bootstrap">
<package name="filesystem"/>
|
[-]
[+]
|
Changed |
config.sh
^
|
@@ -87,14 +87,27 @@
#sed -i 's,.*our $sign = .*,our $sign = "/usr/bin/sign";,' /usr/lib/obs/server/BSConfig.pm
#sed -i 's,.*our $forceprojectkeys.*,our $forceprojectkeys = 1;,' /usr/lib/obs/server/BSConfig.pm
#chmod 4755 /usr/bin/sign
+# configure monitoring
+sed -i 's@"127.0.0.1$"@"127.0.0.1 85.236.33.9 83.141.20.191"@g' /etc/xinetd.d/nrpe
+echo 'command[check_updates]=/usr/lib/nagios/plugins/check_zypper' > /etc/nagios/nrpe.d/updates.cfg
+#echo 'allow ^83\.141\.20\.189$' >> /etc/munin/munin-node.conf
+#echo 'allow ^85\.236\.33\.9$' >> /etc/munin/munin-node.conf
+echo 'cidr_allow 85.236.33.9/32' >> /etc/munin/munin-node.conf
+echo 'cidr_allow 83.141.20.0/24' >> /etc/munin/munin-node.conf
+/usr/sbin/munin-node-configure --shell | sh
+chkconfig xinetd on
+chkconfig munin-node on
+
#======================================
# Add Default Repositories
#--------------------------------------
#zypper ar http://download.opensuse.org/update/11.4/ openSUSE:11.4:Update
#zypper ar http://download.opensuse.org/repositories/openSUSE:11.4/standard openSUSE:11.4
-zypper ar http://download.opensuse.org/repositories/openSUSE:Tools/SLE_11_SP2 openSUSE:Tools
-
+#zypper ar http://download.opensuse.org/repositories/openSUSE:Tools/SLE_11_SP2 openSUSE:Tools
+zypper --gpg-auto-import-keys ar -f http://download.obs.j0ke.net/J0KE.NET:/Tools/SLE_11_SP2/ J0KE.NET:Tools
+zypper --gpg-auto-import-keys ar -f http://download.obs.j0ke.net/home:/netmax:/tools/SLE_11_SP2/ home:netmax:tools
+zypper --gpg-auto-import-keys ar -f http://download.obs.j0ke.net/server:/monitoring/SLE_11_SP2/ server:monitoring
#======================================
# Umount kernel filesystems
#--------------------------------------
|
[-]
[+]
|
Deleted |
root.tar.bz2/.
^
|
-(directory)
|
[-]
[+]
|
Changed |
root.tar.bz2/etc/issue
^
|
@@ -1,2 +1,2 @@
-Welcome to OBS Appliance, based on openSUSE - Kernel \r (\l).
+Welcome to OBS Appliance, based on SUSE Linux Enterprise - Kernel \r (\l).
|
[-]
[+]
|
Deleted |
root.tar.bz2/etc/lighttpd
^
|
-(directory)
|
[-]
[+]
|
Deleted |
root.tar.bz2/etc/lighttpd/lighttpd.conf
^
|
@@ -1,426 +0,0 @@
-#######################################################################
-##
-## /etc/lighttpd/lighttpd.conf
-##
-## check /etc/lighttpd/conf.d/*.conf for the configuration of modules.
-##
-#######################################################################
-
-#######################################################################
-##
-## Some Variable definition which will make chrooting easier.
-##
-## if you add a variable here. Add the corresponding variable in the
-## chroot example aswell.
-##
-var.log_root = "/var/log/lighttpd"
-var.server_root = "/srv/www"
-var.state_dir = "/var/run"
-var.home_dir = "/var/lib/lighttpd"
-var.conf_dir = "/etc/lighttpd"
-
-##
-## run the server chrooted.
-##
-## This requires root permissions during startup.
-##
-## If you run Chrooted set the the variables to directories relative to
-## the chroot dir.
-##
-## example chroot configuration:
-##
-#var.log_root = "/logs"
-#var.server_root = "/"
-#var.state_dir = "/run"
-#var.home_dir = "/lib/lighttpd"
-#var.vhosts_dir = "/vhosts"
-#var.conf_dir = "/etc"
-#
-#server.chroot = "/srv/www"
-
-##
-## Some additional variables to make the configuration easier
-##
-
-##
-## Base directory for all virtual hosts
-##
-## used in:
-## conf.d/evhost.conf
-## conf.d/simple_vhost.conf
-## vhosts.d/vhosts.template
-##
-var.vhosts_dir = server_root + "/vhosts"
-
-##
-## Cache for mod_compress
-##
-## used in:
-## conf.d/compress.conf
-##
-var.cache_dir = "/var/cache/lighttpd"
-
-##
-## Base directory for sockets.
-##
-## used in:
-## conf.d/fastcgi.conf
-## conf.d/scgi.conf
-##
-var.socket_dir = home_dir + "/sockets"
-
-##
-#######################################################################
-
-#######################################################################
-##
-## Load the modules.
-include "modules.conf"
-
-##
-#######################################################################
-
-#######################################################################
-##
-## Basic Configuration
-## ---------------------
-##
-server.port = 80
-
-##
-## Use IPv6?
-##
-server.use-ipv6 = "disable"
-
-##
-## bind to a specific IP
-##
-#server.bind = "localhost"
-
-##
-## Run as a different username/groupname.
-## This requires root permissions during startup.
-##
-server.username = "lighttpd"
-server.groupname = "lighttpd"
-
-##
-## enable core files.
-##
-#server.core-files = "disable"
-
-##
-## Document root
-##
-server.document-root = server_root + "/htdocs"
-
-##
-## The value for the "Server:" response field.
-##
-## It would be nice to keep it at "lighttpd".
-##
-#server.tag = "lighttpd"
-
-##
-## store a pid file
-##
-server.pid-file = state_dir + "/lighttpd.pid"
-
-##
-#######################################################################
-
-#######################################################################
-##
-## Logging Options
-## ------------------
-##
-## all logging options can be overwritten per vhost.
-##
-## Path to the error log file
-##
-server.errorlog = log_root + "/error.log"
-
-##
-## If you want to log to syslog you have to unset the
-## server.errorlog setting and uncomment the next line.
-##
-#server.errorlog-use-syslog = "enable"
-
-##
-## Access log config
-##
-include "conf.d/access_log.conf"
-
-##
-## The debug options are moved into their own file.
-## see conf.d/debug.conf for various options for request debugging.
-##
-include "conf.d/debug.conf"
-
-##
-#######################################################################
-
-#######################################################################
-##
-## Tuning/Performance
-## --------------------
-##
-## corresponding documentation:
-## http://www.lighttpd.net/documentation/performance.html
-##
-## set the event-handler (read the performance section in the manual)
-##
-## possible options on linux are:
-##
-## select
-## poll
-## linux-sysepoll
-##
-## linux-sysepoll is recommended on kernel 2.6.
-##
-server.event-handler = "linux-sysepoll"
-
-##
-## The basic network interface for all platforms at the syscalls read()
-## and write(). Every modern OS provides its own syscall to help network
-## servers transfer files as fast as possible
-##
-## linux-sendfile - is recommended for small files.
-## writev - is recommended for sending many large files
-##
-server.network-backend = "linux-sendfile"
-
-##
-## As lighttpd is a single-threaded server, its main resource limit is
-## the number of file descriptors, which is set to 1024 by default (on
-## most systems).
-##
-## If you are running a high-traffic site you might want to increase this
-## limit by setting server.max-fds.
-##
-## Changing this setting requires root permissions on startup. see
-## server.username/server.groupname.
-##
-## By default lighttpd would not change the operation system default.
-## But setting it to 2048 is a better default for busy servers.
-##
-server.max-fds = 2048
-
-##
-## Stat() call caching.
-##
-## lighttpd can utilize FAM/Gamin to cache stat call.
-##
-## possible values are:
-## disable, simple or fam.
-##
-server.stat-cache-engine = "simple"
-
-##
-## Fine tuning for the request handling
-##
-## max-connections == max-fds/2 (maybe /3)
-## means the other file handles are used for fastcgi/files
-##
-server.max-connections = 1024
-
-##
-## How many seconds to keep a keep-alive connection open,
-## until we consider it idle.
-##
-## Default: 5
-##
-#server.max-keep-alive-idle = 5
-
-##
-## How many keep-alive requests until closing the connection.
-##
-## Default: 16
-##
-#server.max-keep-alive-requests = 16
-
-##
-## Maximum size of a request in kilobytes.
-## By default it is unlimited (0).
-##
-## Uploads to your server cant be larger than this value.
-##
-#server.max-request-size = 0
-
-##
-## Time to read from a socket before we consider it idle.
-##
-## Default: 60
-##
-#server.max-read-idle = 60
-
-##
-## Time to write to a socket before we consider it idle.
-##
-## Default: 360
-##
-#server.max-write-idle = 360
-
-##
-## Traffic Shaping
-## -----------------
-##
-## see /usr/share/doc/lighttpd/traffic-shaping.txt
-##
-## Values are in kilobyte per second.
-##
-## Keep in mind that a limit below 32kB/s might actually limit the
-## traffic to 32kB/s. This is caused by the size of the TCP send
-## buffer.
-##
-## per server:
-##
-#server.kbytes-per-second = 128
-
-##
-## per connection:
-##
-#connection.kbytes-per-second = 32
-
-##
-#######################################################################
-
-#######################################################################
-##
-## Filename/File handling
-## ------------------------
-
-##
-## files to check for if .../ is requested
-## index-file.names = ( "index.php", "index.rb", "index.html",
-## "index.htm", "default.htm" )
-##
-index-file.names += (
- "index.xhtml", "index.html", "index.htm", "default.htm", "index.php"
-)
-
-##
-## deny access the file-extensions
-##
-## ~ is for backupfiles from vi, emacs, joe, ...
-## .inc is often used for code includes which should in general not be part
-## of the document-root
-url.access-deny = ( "~", ".inc" )
-
-##
-## disable range requests for pdf files
-## workaround for a bug in the Acrobat Reader plugin.
-##
-$HTTP["url"] =~ "\.pdf$" {
- server.range-requests = "disable"
-}
-
-##
-## url handling modules (rewrite, redirect)
-##
-#url.rewrite = ( "^/$" => "/server-status" )
-#url.redirect = ( "^/wishlist/(.+)" => "http://www.example.com/$1" )
-
-##
-## both rewrite/redirect support back reference to regex conditional using %n
-##
-#$HTTP["host"] =~ "^www\.(.*)" {
-# url.redirect = ( "^/(.*)" => "http://%1/$1" )
-#}
-
-##
-## which extensions should not be handle via static-file transfer
-##
-## .php, .pl, .fcgi are most often handled by mod_fastcgi or mod_cgi
-##
-static-file.exclude-extensions = ( ".php", ".pl", ".fcgi", ".scgi" )
-
-##
-## error-handler for status 404
-##
-#server.error-handler-404 = "/error-handler.html"
-#server.error-handler-404 = "/error-handler.php"
-
-##
-## Format: <errorfile-prefix><status-code>.html
-## -> ..../status-404.html for 'File not found'
-##
-#server.errorfile-prefix = "/srv/www/htdocs/errors/status-"
-
-##
-## mimetype mapping
-##
-include "conf.d/mime.conf"
-
-##
-## directory listing configuration
-##
-include "conf.d/dirlisting.conf"
-
-##
-## Should lighttpd follow symlinks?
-##
-server.follow-symlink = "enable"
-
-##
-## force all filenames to be lowercase?
-##
-#server.force-lowercase-filenames = "disable"
-
-##
-## defaults to /var/tmp as we assume it is a local harddisk
-##
-server.upload-dirs = ( "/var/tmp" )
-
-##
-#######################################################################
-
-
-#######################################################################
-##
-## SSL Support
-## -------------
-##
-## To enable SSL for the whole server you have to provide a valid
-## certificate and have to enable the SSL engine.::
-##
-## ssl.engine = "enable"
-## ssl.pemfile = "/path/to/server.pem"
-##
-## The HTTPS protocol does not allow you to use name-based virtual
-## hosting with SSL. If you want to run multiple SSL servers with
-## one lighttpd instance you must use IP-based virtual hosting: ::
-##
-## $SERVER["socket"] == "10.0.0.1:443" {
-## ssl.engine = "enable"
-## ssl.pemfile = "/etc/ssl/private/www.example.com.pem"
-## server.name = "www.example.com"
-##
-## server.document-root = "/srv/www/vhosts/example.com/www/"
-## }
-##
-
-## If you have a .crt and a .key file, cat them together into a
-## single PEM file:
-## $ cat /etc/ssl/private/lighttpd.key /etc/ssl/certs/lighttpd.crt \
-## > /etc/ssl/private/lighttpd.pem
-##
-#ssl.pemfile = "/etc/ssl/private/lighttpd.pem"
-
-##
-## optionally pass the CA certificate here.
-##
-##
-#ssl.ca-file = ""
-
-##
-#######################################################################
-
-#######################################################################
-##
-## custom includes like vhosts.
-##
-#include "conf.d/config.conf"
-include_shell "cat /etc/lighttpd/vhosts.d/*.conf"
-##
-#######################################################################
|
[-]
[+]
|
Deleted |
root.tar.bz2/etc/lighttpd/modules.conf
^
|
@@ -1,173 +0,0 @@
-#######################################################################
-##
-## Modules to load
-## -----------------
-##
-## at least mod_access and mod_accesslog should be loaded
-## all other module should only be loaded if really neccesary
-##
-## - saves some time
-## - saves memory
-##
-## the default module set contains:
-##
-## "mod_indexfile", "mod_dirlisting", "mod_staticfile"
-##
-## you dont have to include those modules in your list
-##
-## Modules, which are pulled in via conf.d/*.conf
-##
-## NOTE: the order of modules is important.
-##
-## - mod_accesslog -> conf.d/access_log.conf
-## - mod_compress -> conf.d/compress.conf
-## - mod_status -> conf.d/status.conf
-## - mod_webdav -> conf.d/webdav.conf
-## - mod_cml -> conf.d/cml.conf
-## - mod_evhost -> conf.d/evhost.conf
-## - mod_simple_vhost -> conf.d/simple_vhost.conf
-## - mod_mysql_vhost -> conf.d/mysql_vhost.conf
-## - mod_trigger_b4_dl -> conf.d/trigger_b4_dl.conf
-## - mod_userdir -> conf.d/userdir.conf
-## - mod_rrdtool -> conf.d/rrdtool.conf
-## - mod_ssi -> conf.d/ssi.conf
-## - mod_cgi -> conf.d/cgi.conf
-## - mod_scgi -> conf.d/scgi.conf
-## - mod_fastcgi -> conf.d/fastcgi.conf
-## - mod_proxy -> conf.d/proxy.conf
-## - mod_secdownload -> conf.d/secdownload.conf
-## - mod_expire -> conf.d/expire.conf
-##
-
-server.modules = (
- "mod_access",
-# "mod_alias",
-# "mod_auth",
- "mod_dirlisting",
-# "mod_evasive",
- "mod_redirect",
- "mod_rewrite",
-# "mod_setenv",
-# "mod_usertrack",
-)
-
-##
-#######################################################################
-
-#######################################################################
-##
-## Config for various Modules
-##
-
-##
-## mod_ssi
-##
-#include "conf.d/ssi.conf"
-
-##
-## mod_status
-##
-#include "conf.d/status.conf"
-
-##
-## mod_webdav
-##
-#include "conf.d/webdav.conf"
-
-##
-## mod_compress
-##
-#include "conf.d/compress.conf"
-
-##
-## mod_userdir
-##
-#include "conf.d/userdir.conf"
-
-##
-## mod_magnet
-##
-include "conf.d/magnet.conf"
-
-##
-## mod_cml
-##
-#include "conf.d/cml.conf"
-
-##
-## mod_rrdtool
-##
-#include "conf.d/rrdtool.conf"
-
-##
-## mod_proxy
-##
-#include "conf.d/proxy.conf"
-
-##
-## mod_expire
-##
-#include "conf.d/expire.conf"
-
-##
-## mod_secdownload
-##
-#include "conf.d/secdownload.conf"
-
-##
-#######################################################################
-
-#######################################################################
-##
-## CGI modules
-##
-
-##
-## SCGI (mod_scgi)
-##
-#include "conf.d/scgi.conf"
-
-##
-## FastCGI (mod_fastcgi)
-##
-include "conf.d/fastcgi.conf"
-
-##
-## plain old CGI (mod_cgi)
-##
-#include "conf.d/cgi.conf"
-
-##
-#######################################################################
-
-#######################################################################
-##
-## VHost Modules
-##
-## Only load ONE of them!
-## ========================
-##
-
-##
-## You can use conditionals for vhosts aswell.
-##
-## see http://www.lighttpd.net/documentation/configuration.html
-##
-
-##
-## mod_evhost
-##
-#include "conf.d/evhost.conf"
-
-##
-## mod_simple_vhost
-##
-#include "conf.d/simple_vhost.conf"
-
-##
-## mod_mysql_vhost
-##
-#include "conf.d/mysql_vhost.conf"
-
-##
-#######################################################################
|
[-]
[+]
|
Added |
root.tar.bz2/etc/system-image.conf
^
|
@@ -0,0 +1 @@
+OS_SYSTEM_TYPE="j0ke.net-obs-worker-pxe"
|
[-]
[+]
|
Added |
root.tar.bz2/root
^
|
+(directory)
|
[-]
[+]
|
Added |
root.tar.bz2/root/bin
^
|
+(directory)
|
[-]
[+]
|
Added |
root.tar.bz2/root/bin/add_sle_repos.sh
^
|
@@ -0,0 +1,120 @@
+#!/bin/bash
+# add sles repos script
+# Author: Carsten Schoene
+# $$LastChangedDate: 2012-09-26 20:56:41 +0200 (Mi, 26. Sep 2012) $
+# $Rev: 1870 $
+#
+BASEURL="http://sles.internetx.de/suse/"
+SRELFILE="/etc/SuSE-release"
+AUTOCNFIG="0"
+
+function usage {
+ echo "Usage: $0 [ SLES | SLED ]"
+ exit 1
+}
+
+if [ -f ${SRELFILE} ] ; then
+ # get distribution type
+ if [ -n "`grep -i server ${SRELFILE}`" ] ; then
+ DIST="SLES"
+ LDIST="sles"
+ elif [ -n "`grep -i desktop ${SRELFILE}`" ] ; then
+ DIST="SLED"
+ LDIST="sled"
+ else
+ echo "Unsupported SuSE distribution"
+ exit 1
+ fi
+
+ # get version
+ if [ -n "`grep -i ^version ${SRELFILE}`" ] ; then
+ VERSION=`cat ${SRELFILE} |grep -E '(^VERSION)' |sed -e s@" "@""@g|awk -F= '{print $2}'`
+ else
+ echo "Unsupported SuSE distribution"
+ exit 2
+ fi
+ # get patchlevel
+ if [ -n "`grep -i ^patchlevel ${SRELFILE}`" ] ; then
+ PATCHLEVEL=`cat ${SRELFILE} |grep -E '(^PATCHLEVEL)' |sed -e s@" "@""@g|awk -F= '{print $2}'`
+ else
+ PATCHLEVEL="GA"
+ fi
+
+ if [ "${VERSION}" == "11" ] ; then
+ if [ "${PATCHLEVEL}" == "GA" ] ; then
+ PREFIX=""
+ LPREFIX=""
+ AUTOCONFIG="1"
+ elif [ "${PATCHLEVEL}" == "1" ] ; then
+ PREFIX="-SP1"
+ LPREFIX="-sp1"
+ AUTOCONFIG="1"
+ elif [ "${PATCHLEVEL}" == "2" ] ; then
+ PREFIX="-SP2"
+ LPREFIX="-sp2"
+ AUTOCONFIG="1"
+ else
+ echo "Unsupported SuSE distribution"
+ exit 3
+ fi
+ else
+ echo "Unsupported SuSE distribution"
+ exit 4
+ fi
+fi
+
+if [ "${AUTOCONFIG}" == "0" ] ; then
+ if [ "${1}" == "" ] ; then
+ DIST="SLES"
+ else
+ if [ "${1}" != "SLES" ] || [ "${1}" != "SLED" ] ; then
+ usage
+ else
+ DIST="${1}"
+ fi
+ fi
+fi
+if [ "${AUTOCONFIG}" == "0" ] ; then
+ if [ "${2}" == "" ] ; then
+ PREFIX="-SP2"
+ LPREFIX="-sp2"
+ else
+ PREFIX="${2}"
+ LPREFIX=`echo ${2} | awk '{print tolower($1)}'`
+ fi
+fi
+SYSARCH=`uname -m`
+
+if [ "${SYSARCH}" == "x86_64" ] ; then
+ ARCH="x86_64"
+ SUFFIX="-64"
+else
+ ARCH="i586"
+ SUFFIX=""
+fi
+
+BASEDIST="${BASEURL}${LDIST}${VERSION}/${DIST}${VERSION}${SUFFIX}${PREFIX}/;${DIST}${VERSION}${SUFFIX}${PREFIX}"
+SDKDIST="${BASEURL}sle-${VERSION}sdk${SUFFIX}${LPREFIX}/;SLE-${VERSION}-SDK${SUFFIX}${PREFIX}"
+HAEDIST="${BASEURL}sle-${VERSION}hae${SUFFIX}${LPREFIX}/;SLE-${VERSION}-HAE${SUFFIX}${PREFIX}"
+BASEUPDATE="${BASEURL}update/SLE/${DIST}${VERSION}${PREFIX}-Updates/sle-${VERSION}-${ARCH}/;${DIST}${VERSION}${PREFIX}-Updates"
+EXTRAUPDATE="${BASEURL}update/SLE/${DIST}${VERSION}-Extras/sle-${VERSION}-${ARCH}/;${DIST}${VERSION}-Extras"
+HAEUPDATE="${BASEURL}update/SLE/SLE${VERSION}-HAE${PREFIX}-Updates/sle-${VERSION}-${ARCH}/;SLE-${VERSION}-HAE${PREFIX}-Updates"
+SDKUPDATE="${BASEURL}update/SLE/SLE${VERSION}-SDK${PREFIX}-Updates/sle-${VERSION}-${ARCH}/;SLE-${VERSION}-SDK${PREFIX}-Updates"
+#SMTUPDATE="${BASEURL}update/SLE/SLE${VERSION}-SMT${PREFIX}-Updates/sle-${VERSION}-${ARCH}/;SLE-${VERSION}-SMT${PREFIX}-Updates"
+
+# SP1 Update repos needed on SP2 - see https://www.suse.com/support/kb/doc.php?id=7010225
+if [ "${PREFIX}" == "-SP2" ] && [ "${LPREFIX}" == "-sp2" ] ; then
+ BASEUPDATESP1=`echo "${BASEUPDATE}" | sed -e s@"-SP2"@"-SP1"@g | sed -e s@"-sp2"@"-sp1"@g`
+ SDKUPDATESP1=`echo "${SDKUPDATE}" | sed -e s@"-SP2"@"-SP1"@g | sed -e s@"-sp2"@"-sp1"@g`
+else
+ BASEUPDATESP1=""
+ SDKUPDATESP1=""
+fi
+
+for DATASET in ${BASEDIST} ${SDKDIST} ${HAEDIST} ${BASEUPDATE} ${BASEUPDATESP1} ${EXTRAUPDATE} ${HAEUPDATE} ${SDKUPDATE} ${SDKUPDATESP1} ${SMTUPDATE} ; do
+
+ REPO=`echo ${DATASET} | awk -F\; '{print $1}'`
+ REPOALIAS=`echo ${DATASET} | awk -F\; '{print $2}'`
+ zypper ar -f ${REPO} ${REPOALIAS}
+
+done
|